## org.jCharts.chartData
Class DataSeries

    java.lang.Object
      org.jCharts.chartData.AxisDataSeries
          org.jCharts.chartData.DataSeries

All Implemented Interfaces:
  Serializable, IAxisDataSeries, IData, IDataSeries, HTMLTestable

    public class DataSeries

extends AxisDataSeries
implements IDataSeries, HTMLTestable

Collection of all IAxisPlotDataSets to display in an AxisChart

See Also:
  Serialized Form

Field Summary
`private String[]` `axisLabels`

Fields inherited from class org.jCharts.chartData.AxisDataSeries
`dataSets, totalNumberOfDataSets`

Constructor Summary
`DataSeries(String[] axisLabels, String xAxisTitle, String yAxisTitle, String chartTitle)` Constructor

Method Summary
`String` `getAxisLabel(int index)` Returns the x-axis label corresponding to the passed index
`int` `getNumberOfAxisLabels()` Returns the number of labels on the x-axis
`void` `toHTML(HTMLGenerator htmlGenerator)` Enables the testing routines to display the contents of this Object.
`void` `validate()` Validates the DataSeries implementation.

Methods inherited from class org.jCharts.chartData.AxisDataSeries
`addIAxisPlotDataSet, getChartTitle, getIAxisPlotDataSet, getIAxisPlotDataSetIterator, getSizeOfEachDataSet, getTotalNumberOfDataSets, getXAxisTitle, getYAxisTitle, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jCharts.chartData.interfaces.IAxisDataSeries
`addIAxisPlotDataSet, getChartTitle, getIAxisPlotDataSet, getIAxisPlotDataSetIterator, getTotalNumberOfDataSets, getXAxisTitle, getYAxisTitle, size`

Field Detail

### axisLabels

    private String[] axisLabels

Constructor Detail

### DataSeries

    public DataSeries(String[] axisLabels,
                      String xAxisTitle,
                      String yAxisTitle,
                      String chartTitle)

  Constructor

  Parameters:
    `axisLabels` -
    `xAxisTitle` - if this is NULL, no title will be displayed
    `yAxisTitle` - if this is NULL, no title will be displayed
    `chartTitle` - if this is NULL, no title will be displayed

Method Detail

### getAxisLabel

    public String getAxisLabel(int index)

  Returns the x-axis label corresponding to the passed index

  Specified by:
    `getAxisLabel` in interface `IDataSeries`
  Parameters:
    `index` -
  Returns:
    String

### getNumberOfAxisLabels

    public int getNumberOfAxisLabels()

  Returns the number of labels on the x-axis

  Specified by:
    `getNumberOfAxisLabels` in interface `IDataSeries`
  Returns:
    int

### validate

    public void validate()
                  throws ChartDataException,
                         PropertyException

  Description copied from interface: `IAxisDataSeries`
  Validates the DataSeries implementation. This will only get called if the ChartProperties flag to validate is true.

  Specified by:
    `validate` in interface `IAxisDataSeries`
  Overrides:
    `validate` in class `AxisDataSeries`
  Throws:
    `ChartDataException`
    `PropertyException`
  See Also:
    `ChartProperties.setValidate( boolean )`

### toHTML

    public void toHTML(HTMLGenerator htmlGenerator)

  Enables the testing routines to display the contents of this Object.

  Specified by:
    `toHTML` in interface `HTMLTestable`
  Overrides:
    `toHTML` in class `AxisDataSeries`
  Parameters:
    `htmlGenerator` -